({
    name: "umbreonite",
    spritenum: 666,
    megaStone: {
        "umbreon": "umbreon-Mega"
    },
    itemUser: ["umbreon"],
    onTakeItem(item, source) {
        return !item.megaStone?.[source.baseSpecies.baseSpecies];
    },
    num: -999,
    gen: 6,
    isNonstandard: "Past",
})